# Microsoft Data Camp 
This repo contains Microsoft Data Camp (Analytics with Azure Machine Learning)

![Microsoft Data Camp](/Images/Header.PNG "Microsoft Data Camp")

Does your company face business-critical decisions that rely on dynamic transactional data? If you answered “yes,” you need to attend this free, hands-on event featuring Microsoft analytic tools. We’ll focus on Azure Machine Learning capabilities and explore the following topics: 
+ Common machine learning algorithms 
+ Data sourcing options and model-building prep
+ Selecting and setting up your first model 
+ Building predictive experiments 
+ Understanding and interpreting the output 

We’ll use real-world data to solve business problems that are relevant to your organization. 
So, if you’re a developer interested in machine learning or a data scientist expanding your skill set, this is a must-camp to do! 
 
Discover what’s possible with machine learning. 
Space is limited for this one-of-a-kind, interactive session, where you’ll see how to uncover patterns and make predictions using the power of Azure Machine Learning. You’ll also discover how to select, validate and set up optimal models, and how to interpret the output. At the end of the day, you’ll understand how Azure Machine Learning can improve your data insights. 

## Who should do this camp?
This technical event is for developers interested in data science and especially, machine learning. Previous experience with Microsoft Azure and/or Visual Studio is helpful, but not essential. 
 
Not sure if this session is for you? Check out two recent Channel 9 videos about pattern discovery through [text mining](https://channel9.msdn.com/Blogs/Seth-Juarez/Automatic-Mining-of-Text-for-Trends-Anomalies-and-Correlations)
and predictive modeling in the [wind energy](https://channel9.msdn.com/Blogs/Seth-Juarez/Machine-Learning-at-Work-in-the-Wind-Energy-Domain) sector. 

If this type of analysis is on your need-to-learn skills list, This content is for you.

## Prerequisites
This is an interactive camp. Please install the below software:
 
+ Activate your Azure account and bring your Microsoft account credentials. Don't have a Microsoft account? [Sign up](https://signup.live.com/newuser.aspx) now
+ Activate a [free 30-day trial Microsoft Azure account](https://azureinfo.microsoft.com/us-freetrial.html)
+ If you subscribe to MSDN, activate your [free Azure MSDN subscriber benefits](https://azure.microsoft.com/en-us/pricing/member-offers/msdn-benefits/)
+ Windows 10 is preferred OS for this event but not required.
+ Visual Studio 2015 Community, Pro, or Enterprise must be installed.
+ Office 2013 or later. 
+ Create Azure ML workspace for free by [signing up](https://studio.azureml.net/) here.


## Labs

1. Lab #1: Business Problem: [Predict Individual's Income >50K](/Labs/Lab1.md)  [Estimated: 1 hour]
2. Lab #2: Business Problem: [Flight delay prediction](/Labs/Lab2.md)   [Estimated: 3 hours]
3. Lab #3: [Convert a training experiment into a predictive experiment in Azure ML](/Labs/Lab3.md)  [Estimated: 1 hour]
4. Lab #4: [Consume an Azure ML web service using Visual Studio 2015](/Labs/Lab4.md)   [Estimated: 1 hour]


## Recommender Systems

1. [Restaurant Recommender](/Labs/RestaurantRecommender.md)


## Azure Machine Learning Workshop for Data Scientists 
We created a 4 hours workshop for data scientists to get started with different topics of machine learning covering below topics through hands-on labs.
The full instructions for the intended audience are located in "WorkshopInstructions.docx" document under **DSWorkshop** folder. 

a) Monetizing Azure Machine Learning Web Services.

b) Creating Custom R Modules in Azure Machine Learning.

c) Text Analytics in Cognitive Services.

d) Build Recommender System using Azure Machine Learning.

e) Bonus Lab: Integrate Power BI Embedded into LOB Apps.



## Folders Structure

+ Labs Folder: Contains Labs of this data camp.
+ Resources Folder: Contains the Hands-on labs in a word document format (.docx), demos, and other Machine Learning resources.
+ PPT Folder: Contains the deck for this data camp.
+ DSWorkshop Folder: Data Scientists Workshop content.

## Presentation
![Speaker Info](/Images/ContactMe.PNG "Mostafa Elzoghbi - Azure Machine Learning")